## unzip-fm 0.1.1-6

=== Makefile ===
# Uncomment for debugging
#DEBUG=1

CC = gcc -c
ifndef DEBUG
CFLAGS += -s -O2
else
CFLAGS += -g
endif
CFLAGS_ALWAYS += \
	$(shell pkg-config --cflags glib-2.0) \
	$(shell pkg-config --cflags gtk+-2.0) \
	$(shell pkg-config --cflags hildon-1) \
	$(shell pkg-config --cflags dbus-1) \
	$(shell pkg-config --cflags libosso)
LD = gcc
ifndef DEBUG
LDFLAGS += -s
else
LDFLAGS += -g
endif
LDFLAGS_ALWAYS += \
	$(shell pkg-config --libs glib-2.0) \
	$(shell pkg-config --libs gtk+-2.0) \
	$(shell pkg-config --libs hildon-1) \
	$(shell pkg-config --libs dbus-1) \
	$(shell pkg-config --libs libosso)

all: unzip-fm

clean:
	rm -f unzip-fm *.o

install:

unzip-fm: unzip-fm.o
	$(LD) $(LDFLAGS) $(LDFLAGS_ALWAYS) -o $@ $^

%.o: %.c
	$(CC) $(CFLAGS) $(CFLAGS_ALWAYS) -o $@ $<

## unzip-fm 0.1.1-4

=== debian/changelog ===
unzip-fm (0.1.1-4) diablo; urgency=low

  * Fix dependencies to allow autobuilding on Maemo extras autobuilder,
    third try.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Sun, 26 Oct 2008 20:20:39 +0100

unzip-fm (0.1.1-3) diablo; urgency=low

  * Fix dependencies to allow autobuilding on Maemo extras autobuilder,
    second try.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Sun, 26 Oct 2008 19:59:44 +0100

unzip-fm (0.1.1-2) diablo; urgency=low

  * Fix dependencies to allow autobuilding on Maemo extras autobuilder.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Sun, 26 Oct 2008 19:59:44 +0100

unzip-fm (0.1.1-1) diablo; urgency=low

  * Use ZIPINFO mode for finding out the names of the files in the archive (so
    we do not require a patch to UNZIP itself anymore).

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Sun, 26 Oct 2008 19:31:27 +0100

unzip-fm (0.1.0-1) diablo; urgency=low

  * Split apart from the unzip package

 -- Andrew Zabolotny <zap@homelink.ru>  Thu, 31 Jul 2008 11:26:02 +0400

=== debian/control ===
Source: unzip-fm
Section: user/tools
Priority: extra
Maintainer: Danny Milosavljevic <danny.milo@scratchpost.org>
Build-Depends: cdbs, debhelper (>= 5), libgtk2.0-dev, hildon-libs-dev | libhildon1-dev, libglib2.0-dev, libosso-dev
Standards-Version: 3.7.2

Package: unzip-fm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unzip, libgtk2.0, libglib2.0, libosso1, libhildon1
Description: A simple file-manager add-on to unzip files by clicking on them
 This is a Maemo-specific replacement for InfoZip's batch_unzip script,
 which will create a directory based on archive name and unpack the
 archive into that directory.

## unzip-fm 0.1.1-5

=== debian/changelog ===
unzip-fm (0.1.1-5) diablo; urgency=low

  * Remove "libgtk2.0" and "libglib2.0" dependencies to make it install on the tablet.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 13:27:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: unzip-fm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, unzip, libgtk2.0, libglib2.0, libosso1, libhildon1
+Depends: ${shlibs:Depends}, ${misc:Depends}, unzip, libosso1, libhildon1
 Description: A simple file-manager add-on to unzip files by clicking on them
  This is a Maemo-specific replacement for InfoZip's batch_unzip script,
  which will create a directory based on archive name and unpack the

## unzip-fm 0.1.1-6

=== debian/changelog ===
unzip-fm (0.1.1-6) diablo; urgency=low

  * Depend on "libgtk2.0-0" (note "-0").

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 13:40:30 +0100

## unzip-fm 0.1.1-7

=== debian/changelog ===
unzip-fm (0.1.1-7) diablo; urgency=low

  * Update "postinst" to skip "maemo-select-menu-location" without error when updating.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 14:13:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: unzip-fm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, unzip, libosso1, libhildon1
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2.0-0, libglib2.0-0, unzip, libosso1, libhildon1
 Description: A simple file-manager add-on to unzip files by clicking on them
  This is a Maemo-specific replacement for InfoZip's batch_unzip script,
  which will create a directory based on archive name and unpack the

## unzip-fm 0.1.1-8

=== debian/changelog ===
unzip-fm (0.1.1-8) diablo; urgency=low

  * Add "maemo-select-menu-location" to "Pre-Depends".

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 14:18:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: unzip-fm
 Architecture: any
+Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2.0-0, libglib2.0-0, unzip, libosso1, libhildon1
 Description: A simple file-manager add-on to unzip files by clicking on them
  This is a Maemo-specific replacement for InfoZip's batch_unzip script,

## unzip-fm 0.1.1-10

=== debian/changelog ===
unzip-fm (0.1.1-10) diablo; urgency=low

  * Make "postinst" file executable and add a DEBHELPER macro line...

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 15:19:37 +0100

unzip-fm (0.1.1-9) diablo; urgency=low

  * Move Info-ZIP out of the line of fire by changing the licensing header to BSD-2, with no mention of Info-ZIP.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 14:26:30 +0100

## unzip-fm 0.1.1-11

=== debian/changelog ===
unzip-fm (0.1.1-11) diablo; urgency=low

  * Check whether te "postinst" file is even called...

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 15:22:33 +0100

## unzip-fm 0.1.1-13

=== debian/changelog ===
unzip-fm (0.1.1-13) diablo; urgency=lo

  * Update service name.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 15:54:20 +0100

unzip-fm (0.1.1-12) diablo; urgency=low

  * Clean up "postinst" file again since it works now.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 15:40:20 +0100

## unzip-fm 0.1.1-14

=== debian/changelog ===
unzip-fm (0.1.1-14) diablo; urgency=low

  * Update service name. Darn reserved characters.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 16:17:00 +0100

unzip-fm (0.1.1-13) diablo; urgency=low

  * Update service name.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 15:54:20 +0100

## unzip-fm 0.1.2-1

=== debian/changelog ===
unzip-fm (0.1.2-1) diablo; urgency=low

  * Use "gdk_notify_startup_complete" to try to prevent two overlapping Hildon banners...

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 17:16:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: unzip-fm
 Architecture: any
 Pre-Depends: maemo-select-menu-location
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2.0-0, libglib2.0-0, unzip, libosso1, libhildon1
+Depends: ${shlibs:Depends}, libgtk2.0-0, libglib2.0-0, unzip, libosso1, libhildon1
 Description: A simple file-manager add-on to unzip files by clicking on them
  This is a Maemo-specific replacement for InfoZip's batch_unzip script,
  which will create a directory based on archive name and unpack the

## unzip-fm 0.1.2-2

=== debian/changelog ===
unzip-fm (0.1.2-2) diablo; urgency=low

  * Remove technical jargon from the package description.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 18:02:00 +0100

## unzip-fm 0.1.3-1

=== debian/changelog ===
unzip-fm (0.1.3-1) diablo; urgency=low

  * Add better error messages.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 18:10:00 +0100

## unzip-fm 0.1.3-2

=== debian/changelog ===
unzip-fm (0.1.3-2) diablo; urgency=low

  * Add GError error handling.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 18:34:00 +0100

## unzip-fm 0.1.3-3

=== debian/changelog ===
unzip-fm (0.1.3-3) diablo; urgency=low

  * Clean up GError error handling.

 -- Danny Milosavljevic <danny_milo@yahoo.com>  Wed, 31 Dec 2008 18:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,4 @@
 Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}, libgtk2.0-0, libglib2.0-0, unzip, libosso1, libhildon1
 Description: A simple file-manager add-on to unzip files by clicking on them
- This is a Maemo-specific replacement for InfoZip's batch_unzip script,
- which will create a directory based on archive name and unpack the
- archive into that directory.
+ Creates a directory based on archive name and unpacks the contents of the archive into that directory.

## unzip-fm 0.1.3-4

=== debian/changelog ===
unzip-fm (0.1.3-4) diablo; urgency=low

  * Added XB-Maemo-Display-Name and XSBC-Bugtracker

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sat,  2 Jan 2010 19:37:00 +0100

=== debian/control ===
Source: unzip-fm
Section: user/tools
Priority: extra
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
XSBC-Original-Maintainer: Danny Milosavljevic <danny.milo@scratchpost.org>
Build-Depends: cdbs, debhelper (>= 5), libgtk2.0-dev, hildon-libs-dev | libhildon1-dev, libglib2.0-dev, libosso-dev
Standards-Version: 3.7.2
XB-Maemo-Display-Name: Unzip add-on for the File Manager
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=91

Package: unzip-fm
Architecture: any
Depends: ${shlibs:Depends}, unzip
Description: A simple file-manager add-on to unzip files by clicking on them
 Creates a directory based on archive name and unpacks the contents of the archive into that directory.

=== debian/rules ===
#!/usr/bin/make -f

PKG_VERSION = 0.1.0

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
